# clatd(8) integration in ifupdown interfaces(5)

# To use an interface as upstream for the CLAT `464xlat clatd` to the iface
# block in /etc/network/interfaces.

case $IF_464XLAT in
        clatd) ;;
        *) exit 0
esac

case "$PHASE" in
	post-up) systemctl start clatd@"$IFACE" ;;
	pre-down) systemctl stop clatd@"$IFACE" ;;
esac
